Skip to content

Push Lead to Marketo

POST /rest/v1/leads/push.json

Permissions Read-Write Lead

Build a request and mock the response

Method: POST
Path: /rest/v1/leads/push.json
Tag: Leads
Operation ID: pushToMarketoUsingPOST

Upserts a lead and generates a Push Lead to Marketo activity. Required Permissions: Read-Write Lead

Formats

  • Request: application/json
  • Response: application/json

Request

Request body

Name: pushLeadToMarketoRequest
Required: Yes
Schema: model: PushLeadToMarketoRequest

pushLeadToMarketoRequest

Generated example

{
  "input": [
    {
      "id": 123,
      "reason": {
        "code": "string",
        "message": "string"
      },
      "status": "string"
    }
  ],
  "lookupField": "string",
  "partitionName": "Example name",
  "programName": "Example name",
  "programStatus": "string",
  "reason": "string",
  "source": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/v1/leads/push.json
Content-Type: application/json
Accept: application/json

{
  "input": [
    {
      "id": 123,
      "reason": {
        "code": "string",
        "message": "string"
      },
      "status": "string"
    }
  ],
  "lookupField": "string",
  "partitionName": "Example name",
  "programName": "Example name",
  "programStatus": "string",
  "reason": "string",
  "source": "string"
}

Responses

200 — OK

Schema: model: ResponseOfPushLeadToMarketo

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "membership": {
        "acquiredBy": false,
        "isExhausted": false,
        "membershipDate": "string",
        "nurtureCadence": "string",
        "progressionStatus": "string",
        "reachedSuccess": false,
        "stream": "string"
      },
      "reason": {
        "code": "string",
        "message": "string"
      },
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.